webpackJsonp([0],{

/***/ 115:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__profile_edit_profile_edit__ = __webpack_require__(59);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ProfilePage = (function () {
    function ProfilePage(navCtrl, navParams, http, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.login_status = false;
        this.uuid = '';
        this.fullname = '';
        this.email = '';
        this.telephone = '';
        this.birthdate = '';
        this.gender = '';
        this.cart_no = '';
        this.il = '';
        this.ilce = '';
        this.semt = '';
    }
    ProfilePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.uuid = window.localStorage.getItem("uuid");
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            this.login_status = true;
            var data = JSON.stringify({
                telephone_hash: this.user_hash,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/user_show', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                _this.user_data = data;
                _this.fullname = data.AD_SOYAD;
                _this.email = data.EPOSTA;
                _this.telephone = data.CEP_NO;
                _this.birthdate = data.DOGUM_TARIHI;
                _this.gender = data.CINSIYET;
                _this.cart_no = data.KART_NO;
                _this.il = data.IL;
                _this.ilce = data.ILCE;
                _this.semt = data.SEMT;
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfilePage.prototype.openProfileEdit = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__profile_edit_profile_edit__["a" /* ProfileEditPage */], {});
    };
    return ProfilePage;
}());
ProfilePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-profile',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/profile/profile.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n        <ion-title>Bilgilerim</ion-title>\n        <ion-buttons end>\n            <button ion-button icon-only (click)="openProfileEdit()">\n                <ion-icon ios="ios-create" md="md-create"></ion-icon>\n            </button>\n        </ion-buttons>\n    </ion-navbar>\n</ion-header>\n\n<ion-content class="mavibg">\n    <div class="profilres">\n        <ion-item text-center style="background: transparent">\n            <img style="width: 30%; margin: 20px 0px;" src="assets/imgs/vrskullaniciresmi.png"/>\n        </ion-item>\n    </div>\n    <ion-list padding>\n        <ion-item class="ilkinput">\n            <ion-icon name="card" item-start></ion-icon>\n            {{cart_no}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="person" item-start></ion-icon>\n            {{fullname}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="male" item-start></ion-icon>\n            {{gender}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="calendar" item-start></ion-icon>\n            {{birthdate}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="call" item-start></ion-icon>\n            {{telephone}}\n        </ion-item>\n        <ion-item >\n            <ion-icon name="mail" item-start></ion-icon>\n            {{email}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="pin" item-start></ion-icon>\n            {{il}}\n        </ion-item>\n        <ion-item>\n            <ion-icon name="pin" item-start></ion-icon>\n            {{ilce}}\n        </ion-item>\n        <ion-item class="soninput">\n            <ion-icon name="pin" item-start></ion-icon>\n            {{semt}}\n        </ion-item>\n    </ion-list>\n\n\n<!--\n    <ion-item-group>\n        <ion-item-divider color="light"><b>Ad Soyad</b></ion-item-divider>\n        <ion-item>{{name}} {{surname}}</ion-item>\n    </ion-item-group>\n    <ion-item-group>\n        <ion-item-divider color="light"><b>E-Mail Adres</b></ion-item-divider>\n        <ion-item>{{email}}</ion-item>\n    </ion-item-group>\n    <ion-item-group>\n        <ion-item-divider color="light"><b>Telefon</b></ion-item-divider>\n        <ion-item>{{telephone}}</ion-item>\n    </ion-item-group>\n\n    -->\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/profile/profile.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], ProfilePage);

//# sourceMappingURL=profile.js.map

/***/ }),

/***/ 116:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TenderPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TenderPage = (function () {
    function TenderPage(navCtrl, navParams, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
    }
    TenderPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad TenderPage');
        this.http.get('http://restapi.odaxa.com.tr/tenders')
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.tenders = data;
        }, function (err) {
            console.log(err);
        });
    };
    return TenderPage;
}());
TenderPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-tender',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/tender/tender.html"*/'<ion-header no-border>\n    <ion-navbar transparent >\n        <ion-title>İhaleler</ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content class="mavibg">\n    <ion-card *ngFor="let tender of tenders;">\n        <ion-card-content style="padding-bottom: 8px!important; padding-top: 10px!important;">\n            <h2 style="margin-bottom: 10px!important;">\n                {{tender.title}}\n            </h2>\n            <div class="ihaleler" style="border-top: solid 1px #ddd; padding-top: 8px;">\n                <small> {{tender.created_at}}</small>\n                <a text-right href="{{tender.file_url}}">\n                    <ion-badge item-end>PDF İNDİR</ion-badge>\n                </a>\n            </div>\n        </ion-card-content>\n    </ion-card>\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/tender/tender.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
], TenderPage);

//# sourceMappingURL=tender.js.map

/***/ }),

/***/ 117:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__notice_detail_notice_detail__ = __webpack_require__(221);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NoticePage = (function () {
    function NoticePage(navCtrl, navParams, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
    }
    NoticePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad NoticePage');
        this.http.get('http://restapi.odaxa.com.tr/notices')
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.notices = data;
        }, function (err) {
            console.log(err);
        });
    };
    NoticePage.prototype.openNotice = function (id) {
        var _this = this;
        this.http.get('http://restapi.odaxa.com.tr/notices/' + id)
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__notice_detail_notice_detail__["a" /* NoticeDetailPage */], {
                item: data
            });
        }, function (err) {
            console.log(err);
        });
    };
    return NoticePage;
}());
NoticePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-notice',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/notice/notice.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n        <ion-title>Duyurular</ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content class="mavibg">\n    <ion-card  *ngFor="let notice of notices;" (click)="openNotice(notice.id)">\n        <ion-item>\n            <button color="turuncu" ion-fab item-start>\n                <ion-icon name="megaphone"></ion-icon>\n            </button>\n            <h2>{{notice.title}}</h2>\n            <p>{{notice.created_at}}</p>\n        </ion-item>\n        <ion-card-content>\n            <p>{{notice.description}}</p>\n        </ion-card-content>\n    </ion-card>\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/notice/notice.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
], NoticePage);

//# sourceMappingURL=notice.js.map

/***/ }),

/***/ 118:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var AboutPage = (function () {
    function AboutPage(navCtrl) {
        this.navCtrl = navCtrl;
    }
    return AboutPage;
}());
AboutPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-about',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/about/about.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="mavibg" text-center="">\n  <div text-center  style="background: rgba(255, 255, 255, 0.50); margin: 5%; padding: 20px;">\n\n  <p class="kkck" style="margin: 10% 0">UYGULAMANIN TÜM HAKLARI</p>\n  <img  src="assets/imgs/burfas.png"/>\n  <div class="ikck" style="color: #153563!important;margin-bottom: 30%;font-weight: 400;letter-spacing: 0px;">\n    Burfaş A.Ş\'ye aittir.\n  </div>\n    <ion-card color="lacivert" padding>\n      <ion-icon style="font-size: 3.5em;" name="star"></ion-icon>\n      <p class="ikck" style="color: #fff;"> Uygulamaya Puan Verin</p>\n    </ion-card>\n  </div>\n  <small style="margin-top: 10px; color: #fff;">Uygulama Odaxa Bilişim Teknolojileri tarafından geliştirildi.</small>\n</ion-content>\n\n\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/about/about.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */]])
], AboutPage);

//# sourceMappingURL=about.js.map

/***/ }),

/***/ 119:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_camera__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var InfoPage = (function () {
    function InfoPage(navCtrl, navParams, http, loadingCtrl, toastController, camera) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.toastController = toastController;
        this.camera = camera;
        this.selectfacility = '';
        this.selecttable = '';
        this.fullname = '';
        this.email = '';
        this.telephone = '';
        this.content = '';
        this.bigImg = null;
    }
    InfoPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.http.get('http://restapi.odaxa.com.tr/facilities_')
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.facilities = data;
        }, function (err) {
            console.log(err);
        });
    };
    InfoPage.prototype.get_facility_tables = function () {
        var _this = this;
        this.http.get('http://restapi.odaxa.com.tr/facility_tables/' + this.selectfacility)
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.facility_tables = data;
        }, function (err) {
            console.log(err);
        });
    };
    InfoPage.prototype.loadImage = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            sourceType: this.camera.PictureSourceType.PHOTOLIBRARY,
            correctOrientation: true,
            allowEdit: false
        };
        this.camera.getPicture(options).then(function (imageData) {
            var base64data = 'data:image/jpeg;base64,' + imageData;
            _this.bigImg = base64data;
        }, function (err) {
            console.log('gallery error: ', err);
        });
    };
    InfoPage.prototype.save_info = function () {
        var _this = this;
        if (this.selectfacility == '')
            this.showToastr('Lütfen tesis seçiniz.');
        else if (this.selecttable == '')
            this.showToastr('Lütfen masa seçiniz.');
        else if (this.telephone == '')
            this.showToastr('Lütfen cep telefonu numaranızı giriniz.');
        else if (this.content == '')
            this.showToastr('Lütfen mesaj alanını giriniz.');
        else {
            var loading_1 = this.loadingCtrl.create({
                content: 'İşlem yapılıyor. Lütfen bekleyiniz...'
            });
            loading_1.present();
            var veri = JSON.stringify({
                fullname: this.fullname,
                telephone: this.telephone,
                email: this.email,
                facility: this.selectfacility,
                table: this.selecttable,
                images: this.bigImg,
                content: this.content
            });
            this.http.post('http://restapi.odaxa.com.tr/info', veri)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                loading_1.dismiss();
                if (data) {
                    _this.fullname = '';
                    _this.telephone = '';
                    _this.email = '';
                    _this.selectfacility = '';
                    _this.selecttable = '';
                    _this.content = '';
                    _this.bigImg = null;
                    _this.showToastr('Öneri/Şikayet bildiriminiz alındı.');
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
                }
                else {
                    _this.showToastr('Öneri/Şikayet bildiriminiz alınamadı! Lütfen daha sonra tekrar deneyiniz.');
                }
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    InfoPage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    return InfoPage;
}());
InfoPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-info',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/info/info.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding class="card-background-page mavibg" text-center="">\n  <img src="assets/imgs/slogan.png"/>\n  <p class="ikck">\n    <b>BURFAŞ</b> sosyal tesislerimiz hakkında öneri ve şikayetlerinizi bizim için önemlilik arz etmekte.\n  </p>\n  <ion-list style="margin-top: 10%;">\n    <ion-item class="ilkinput">\n      <ion-select placeholder="Tesis" multiple="false" (ionChange)="get_facility_tables()" [(ngModel)]="selectfacility" required="" interface="popover">\n        <ion-option *ngFor="let facility of facilities;" value="{{facility.id}}">{{facility.title}}</ion-option>\n      </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-select placeholder="Masa" multiple="false" [(ngModel)]="selecttable" required="" interface="popover">\n        <ion-option *ngFor="let table of facility_tables;" value="{{table.id}}">{{table.table_name}}</ion-option>\n      </ion-select>\n    </ion-item>\n    <ion-item >\n      <ion-input type="text" [(ngModel)]="fullname" placeholder="Adınız Soyadınız"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="email" placeholder="adiniz@mailadresiniz.com"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="telephone" [attr.maxlength]="10" placeholder="532XXXXXXX" required=""></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="content" placeholder="Mesajınız" required=""></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label (click)="loadImage()">Resim Seç</ion-label>\n    </ion-item>\n    <ion-item>\n      <img *ngIf="bigImg" [src]="bigImg">\n    </ion-item>\n    <button class="btnalt" ion-button full (click)="save_info()">Gönder</button>\n  </ion-list>\n</ion-content>\n\n<ion-footer text-center>\n  <menu></menu>\n</ion-footer>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/info/info.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_camera__["a" /* Camera */]])
], InfoPage);

//# sourceMappingURL=info.js.map

/***/ }),

/***/ 127:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 127;

/***/ }),

/***/ 169:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 169;

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContractPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



;

/**
 * Generated class for the ContractPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ContractPage = (function () {
    function ContractPage(navCtrl, navParams, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.contract_content = '';
    }
    ContractPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad ContractPage');
        this.http.get('http://restapi.odaxa.com.tr/contract')
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.contract_content = data.content;
        }, function (err) {
            console.log(err);
        });
    };
    return ContractPage;
}());
ContractPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-contract',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/contract/contract.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="mavibg" text-center="">\n  <div style="background: rgba(255, 255, 255, 0.50); margin: 5%; padding: 20px;">\n\n    <p class="kkck" text-center style="margin: 10% 0">Üye Sözleşmesi</p>\n    <div class="ikckc">\n      {{contract_content}}\n    </div>\n  </div>\n  <small style="margin-top: 10px; color: #fff;">Uygulama Odaxa Bilişim Teknolojileri tarafından geliştirildi.</small>\n</ion-content>\n\n\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/contract/contract.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
], ContractPage);

//# sourceMappingURL=contract.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PointHistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var PointHistoryPage = (function () {
    function PointHistoryPage(navCtrl, navParams, storage, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.http = http;
    }
    PointHistoryPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.uuid = window.localStorage.getItem("uuid");
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            var data = JSON.stringify({
                telephone_hash: this.user_hash,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/user_show', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                _this.user_data = data;
                _this.details = data.PUAN_HAREKETLER;
            }, function (err) {
                console.log(err);
            });
        }
    };
    return PointHistoryPage;
}());
PointHistoryPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-point-history',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/point-history/point-history.html"*/'<ion-header no-border>\n  <ion-navbar transparent >\n    <ion-title>Puan Geçmişi</ion-title>\n  </ion-navbar>\n</ion-header>\n<ion-content class="mavibg">\n\n  <div *ngIf="details==0" class="ion-card" style="margin-top: 15%;" text-center>\n    <ion-icon class="ibyk" name="git-compare"></ion-icon>\n    <h2 class="ikck">Puan geçmişiniz bulunmamaktadır.</h2>\n  </div>\n\n  <ion-card  *ngFor="let detail of details;">\n    <ion-card-content style="padding: 5px 10px;">\n      <h2 style="font-size:13px; margin-bottom: 0px!important;font-weight: 600!important;color: #333;letter-spacing: 0.7px!important;">\n        {{detail.SUBE_ADI}} <span style="font-weight: 400!important;">TESİSİMİZDE</span>\n      </h2>\n      <div class="point-detail" style="">\n        <small style="color: #6f6f6f;"> {{detail.HAREKET_TARIHI}}</small>\n          <ion-badge class="kazanim" text-right item-end *ngIf="detail.HAREKET_TIPI==1">{{detail.PUAN_MIKTARI}} TL Kazandınız</ion-badge>\n          <ion-badge class="harcama" text-right item-end *ngIf="detail.HAREKET_TIPI==2">{{detail.PUAN_MIKTARI}} TL Harcama Yaptınız</ion-badge>\n      </div>\n    </ion-card-content>\n  </ion-card>\n</ion-content>\n<ion-footer text-center>\n  <menu></menu>\n</ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/point-history/point-history.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
], PointHistoryPage);

//# sourceMappingURL=point-history.js.map

/***/ }),

/***/ 220:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SmsCodePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SmsCodePage = (function () {
    function SmsCodePage(navCtrl, http, loadingCtrl, toastController, storage) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.toastController = toastController;
        this.storage = storage;
        this.user_gsm = '';
        this.user_gsm_pass = '';
        this.uuid = '';
    }
    SmsCodePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SmsCodePage');
        this.user_gsm = window.localStorage.getItem("user_gsm");
        this.uuid = window.localStorage.getItem("uuid");
    };
    SmsCodePage.prototype.smsControl = function () {
        var _this = this;
        if (this.user_gsm_pass == '')
            this.showToastr('Lütfen cep telefonunuza gönderilen 4 haneli kodu giriniz.');
        else {
            var loading_1 = this.loadingCtrl.create({
                content: 'İşlem yapılıyor. Lütfen bekleyiniz...'
            });
            loading_1.present();
            var data = JSON.stringify({
                user_gsm: this.user_gsm,
                user_gsm_pass: this.user_gsm_pass,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/code', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                loading_1.dismiss();
                if (data) {
                    _this.storage.set('user_hash', data);
                    window.localStorage.setItem('user_hash', data);
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
                }
                else
                    _this.showToastr('Sms kodu doğrulanamadı! Lütfen tekrar deneyiniz.');
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    SmsCodePage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    return SmsCodePage;
}());
SmsCodePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-sms-code',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/sms-code/sms-code.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding class="card-background-page mavibg" text-center="">\n  <img style="margin-bottom: 50px;" src="assets/imgs/slogan.png"/>\n  <p class="kkck">\n    Merhaba;\n  </p>\n  <p class="ikck">\n    Cep telefonunuza gönderilen 4 haneli kodu giriniz.\n  </p>\n  <ion-list style="margin-top: 15%;">\n    <ion-item class="ilkinputgiris">\n      <ion-input type="text" [(ngModel)]="user_gsm_pass" maxlength="10" placeholder="SMS Kodu" required=""></ion-input>\n    </ion-item>\n    <button class="btnalt" ion-button full (click)="smsControl()">SMS Doğrula</button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/sms-code/sms-code.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], SmsCodePage);

//# sourceMappingURL=sms-code.js.map

/***/ }),

/***/ 221:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NoticeDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var NoticeDetailPage = (function () {
    function NoticeDetailPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.data = this.navParams.get('item');
    }
    NoticeDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FacilityDetailPage');
    };
    return NoticeDetailPage;
}());
NoticeDetailPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-notice-detail',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/notice-detail/notice-detail.html"*/'<ion-header>\n    <ion-navbar>\n        <ion-title>Duyuru Detayı</ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content style="background: #f8f8f8!important;">\n    <div padding>\n        <h3>{{data.title}}</h3>\n        <p>{{data.created_at}}</p>\n        <p>\n            {{data.content}}\n        </p>\n    </div>\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/notice-detail/notice-detail.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */]])
], NoticeDetailPage);

//# sourceMappingURL=notice-detail.js.map

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FacilityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__facility_detail_facility_detail__ = __webpack_require__(223);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var FacilityPage = (function () {
    function FacilityPage(navCtrl, navParams, http) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
    }
    FacilityPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad TenderPage');
        this.http.get('http://restapi.odaxa.com.tr/facilities')
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.facilities = data;
        }, function (err) {
            console.log(err);
        });
    };
    FacilityPage.prototype.openFacility = function (id) {
        var _this = this;
        this.http.get('http://restapi.odaxa.com.tr/facilities/' + id)
            .map(function (res) { return res.json(); })
            .subscribe(function (data) {
            _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__facility_detail_facility_detail__["a" /* FacilityDetailPage */], {
                item: data
            });
        }, function (err) {
            console.log(err);
        });
    };
    return FacilityPage;
}());
FacilityPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-facility',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/facility/facility.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n        <ion-title>Tesislerimiz</ion-title>\n    </ion-navbar>\n</ion-header>\n<ion-content class="tesislergenel mavibg">\n    <ion-card *ngFor="let facility of facilities;" (click)="openFacility(facility.id)">\n        <img src="{{facility.file_url}}"/>\n        <div class="tesisbaslik">{{facility.title}}</div>\n    </ion-card>\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/facility/facility.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
], FacilityPage);

//# sourceMappingURL=facility.js.map

/***/ }),

/***/ 223:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FacilityDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var FacilityDetailPage = (function () {
    function FacilityDetailPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.data = this.navParams.get('item');
    }
    FacilityDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FacilityDetailPage');
    };
    return FacilityDetailPage;
}());
FacilityDetailPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-facility-detail',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/facility-detail/facility-detail.html"*/'<ion-header>\n    <ion-navbar>\n        <ion-title>Tesis Detayı</ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content style="background: #f8f8f8!important;">\n    <ion-card>\n        <img src="{{data.file_url}}"/>\n        <ion-fab *ngIf="false" right top>\n            <button color="dark" ion-fab>\n                <ion-icon name="images"></ion-icon>\n            </button>\n        </ion-fab>\n    </ion-card>\n    <div padding>\n        <h3>{{data.title}}</h3>\n        <p>\n            {{data.content}}\n        </p>\n    </div>\n    <!--\n      <ion-slides>\n        <ion-slide>\n          <img src="../../assets/imgs/test/golpark.jpg"/>\n        </ion-slide>\n        <ion-slide>\n          <img src="../../assets/imgs/test/dobruca.jpg"/>\n        </ion-slide>\n        <ion-slide>\n          <img src="../../assets/imgs/test/atatepe.jpg"/>\n        </ion-slide>\n      </ion-slides>\n    -->\n    <ion-card>\n        <ion-item>\n            <ion-icon name="call" item-start></ion-icon>\n            <h2 style="font-weight: 600;">TELEFON</h2>\n        </ion-item>\n        <ion-card-content>{{data.telephone}}</ion-card-content>\n    </ion-card>\n\n    <ion-card>\n        <ion-item>\n            <ion-icon name="mail" item-start></ion-icon>\n            <h2 style="font-weight: 600;">E-POSTA</h2>\n        </ion-item>\n        <ion-card-content>{{data.mail}}</ion-card-content>\n    </ion-card>\n\n    <ion-card>\n        <ion-item>\n            <ion-icon name="map" item-start></ion-icon>\n            <h2 style="font-weight: 600;">ADRES</h2>\n        </ion-item>\n        <ion-card-content>{{data.address}}</ion-card-content>\n    </ion-card>\n\n    <ion-card>\n        <div id="map_canvas"></div>\n    </ion-card>\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/facility-detail/facility-detail.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */]])
], FacilityDetailPage);

//# sourceMappingURL=facility-detail.js.map

/***/ }),

/***/ 224:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NavigationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__profile_profile__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__login_login__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__register_register__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__tender_tender__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__notice_notice__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__about_about__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__profile_edit_profile_edit__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__info_info__ = __webpack_require__(119);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};














var NavigationPage = (function () {
    function NavigationPage(navCtrl, navParams, http, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.login_status = false;
    }
    NavigationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad NavigationPage');
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            this.login_status = true;
        }
    };
    NavigationPage.prototype.openPage = function (page) {
        if (page == 'ProfilePage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__profile_profile__["a" /* ProfilePage */], {});
        else if (page == 'LoginPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__login_login__["a" /* LoginPage */], {});
        else if (page == 'RegisterPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__register_register__["a" /* RegisterPage */], {});
        else if (page == 'TenderPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__tender_tender__["a" /* TenderPage */], {});
        else if (page == 'NoticePage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_10__notice_notice__["a" /* NoticePage */], {});
        else if (page == 'AboutPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_11__about_about__["a" /* AboutPage */], {});
        else if (page == 'ProfileEditPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_12__profile_edit_profile_edit__["a" /* ProfileEditPage */], {});
        else if (page == 'InfoPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_13__info_info__["a" /* InfoPage */], {});
    };
    NavigationPage.prototype.logout = function () {
        window.localStorage.removeItem('user_hash');
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
    };
    return NavigationPage;
}());
NavigationPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-navigation',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/navigation/navigation.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n        <ion-title>Menü</ion-title>\n    </ion-navbar>\n</ion-header>\n\n<ion-content  class="mavibg">\n    <ion-list>\n        <ion-item (click)="openPage(\'LoginPage\')" *ngIf="!login_status">\n            <ion-icon name="log-in" item-start></ion-icon>\n            Giriş Yap\n        </ion-item>\n        <ion-item (click)="openPage(\'RegisterPage\')" *ngIf="!login_status">\n            <ion-icon name="person-add" item-start></ion-icon>\n            Kayıt Ol\n        </ion-item>\n        <ion-item (click)="openPage(\'ProfilePage\')" *ngIf="login_status">\n            <ion-icon name="contact" item-start></ion-icon>\n            Profilim\n        </ion-item>\n        <ion-item (click)="openPage(\'AboutPage\')">\n            <ion-icon name="mail" item-start></ion-icon>\n            Uygulama Hakkında\n        </ion-item>\n        <ion-item (click)="logout()" *ngIf="login_status">\n            <ion-icon name="exit" item-start></ion-icon>\n            Çıkış Yap\n        </ion-item>\n    </ion-list>\n\n\n    <!--<ion-card (click)="openPage(\'ProfileEditPage\')">Bilgilerim Düzenle</ion-card>-->\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/navigation/navigation.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], NavigationPage);

//# sourceMappingURL=navigation.js.map

/***/ }),

/***/ 225:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ManagementPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the ManagementPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ManagementPage = (function () {
    function ManagementPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    ManagementPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ManagementPage');
    };
    return ManagementPage;
}());
ManagementPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-management',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/management/management.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="mavibg" text-center="">\n  <iframe width="100%" height="100%" src="http://www.btbbilisim.com/m1/"></iframe>\n</ion-content>\n\n\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/management/management.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */]])
], ManagementPage);

//# sourceMappingURL=management.js.map

/***/ }),

/***/ 226:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(245);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 245:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(31);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_brightness__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_component__ = __webpack_require__(294);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_unique_device_id__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_camera__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_ngx_qrcode2__ = __webpack_require__(298);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_barcode_scanner__ = __webpack_require__(318);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_onesignal__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__components_menu_menu__ = __webpack_require__(319);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_home_home__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_about_about__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_tender_tender__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_facility_facility__ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_notice_notice__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_point_point__ = __webpack_require__(320);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_profile_profile__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_profile_edit_profile_edit__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_login_login__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_sms_code_sms_code__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_register_register__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_navigation_navigation__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_facility_detail_facility_detail__ = __webpack_require__(223);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_notice_detail_notice_detail__ = __webpack_require__(221);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__pages_point_history_point_history__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__pages_info_info__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__pages_contract_contract__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__pages_management_management__ = __webpack_require__(225);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__directives_absolute_drag_absolute_drag__ = __webpack_require__(321);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



































var AppModule = (function () {
    function AppModule() {
    }
    return AppModule;
}());
AppModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["L" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
            __WEBPACK_IMPORTED_MODULE_15__components_menu_menu__["a" /* MenuComponent */],
            __WEBPACK_IMPORTED_MODULE_16__pages_home_home__["a" /* HomePage */],
            __WEBPACK_IMPORTED_MODULE_17__pages_about_about__["a" /* AboutPage */],
            __WEBPACK_IMPORTED_MODULE_18__pages_tender_tender__["a" /* TenderPage */],
            __WEBPACK_IMPORTED_MODULE_19__pages_facility_facility__["a" /* FacilityPage */],
            __WEBPACK_IMPORTED_MODULE_20__pages_notice_notice__["a" /* NoticePage */],
            __WEBPACK_IMPORTED_MODULE_21__pages_point_point__["a" /* PointPage */],
            __WEBPACK_IMPORTED_MODULE_22__pages_profile_profile__["a" /* ProfilePage */],
            __WEBPACK_IMPORTED_MODULE_23__pages_profile_edit_profile_edit__["a" /* ProfileEditPage */],
            __WEBPACK_IMPORTED_MODULE_24__pages_login_login__["a" /* LoginPage */],
            __WEBPACK_IMPORTED_MODULE_25__pages_sms_code_sms_code__["a" /* SmsCodePage */],
            __WEBPACK_IMPORTED_MODULE_26__pages_register_register__["a" /* RegisterPage */],
            __WEBPACK_IMPORTED_MODULE_27__pages_navigation_navigation__["a" /* NavigationPage */],
            __WEBPACK_IMPORTED_MODULE_28__pages_facility_detail_facility_detail__["a" /* FacilityDetailPage */],
            __WEBPACK_IMPORTED_MODULE_29__pages_notice_detail_notice_detail__["a" /* NoticeDetailPage */],
            __WEBPACK_IMPORTED_MODULE_30__pages_point_history_point_history__["a" /* PointHistoryPage */],
            __WEBPACK_IMPORTED_MODULE_31__pages_info_info__["a" /* InfoPage */],
            __WEBPACK_IMPORTED_MODULE_33__pages_management_management__["a" /* ManagementPage */],
            __WEBPACK_IMPORTED_MODULE_32__pages_contract_contract__["a" /* ContractPage */],
            __WEBPACK_IMPORTED_MODULE_34__directives_absolute_drag_absolute_drag__["a" /* AbsoluteDragDirective */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */], {
                backButtonText: ''
            }, {
                links: []
            }),
            __WEBPACK_IMPORTED_MODULE_12_ngx_qrcode2__["a" /* NgxQRCodeModule */],
            __WEBPACK_IMPORTED_MODULE_9__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_8__angular_http__["b" /* HttpModule */]
        ],
        bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicApp */]],
        entryComponents: [
            __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
            __WEBPACK_IMPORTED_MODULE_16__pages_home_home__["a" /* HomePage */],
            __WEBPACK_IMPORTED_MODULE_17__pages_about_about__["a" /* AboutPage */],
            __WEBPACK_IMPORTED_MODULE_18__pages_tender_tender__["a" /* TenderPage */],
            __WEBPACK_IMPORTED_MODULE_19__pages_facility_facility__["a" /* FacilityPage */],
            __WEBPACK_IMPORTED_MODULE_20__pages_notice_notice__["a" /* NoticePage */],
            __WEBPACK_IMPORTED_MODULE_21__pages_point_point__["a" /* PointPage */],
            __WEBPACK_IMPORTED_MODULE_22__pages_profile_profile__["a" /* ProfilePage */],
            __WEBPACK_IMPORTED_MODULE_23__pages_profile_edit_profile_edit__["a" /* ProfileEditPage */],
            __WEBPACK_IMPORTED_MODULE_24__pages_login_login__["a" /* LoginPage */],
            __WEBPACK_IMPORTED_MODULE_25__pages_sms_code_sms_code__["a" /* SmsCodePage */],
            __WEBPACK_IMPORTED_MODULE_26__pages_register_register__["a" /* RegisterPage */],
            __WEBPACK_IMPORTED_MODULE_27__pages_navigation_navigation__["a" /* NavigationPage */],
            __WEBPACK_IMPORTED_MODULE_28__pages_facility_detail_facility_detail__["a" /* FacilityDetailPage */],
            __WEBPACK_IMPORTED_MODULE_29__pages_notice_detail_notice_detail__["a" /* NoticeDetailPage */],
            __WEBPACK_IMPORTED_MODULE_30__pages_point_history_point_history__["a" /* PointHistoryPage */],
            __WEBPACK_IMPORTED_MODULE_31__pages_info_info__["a" /* InfoPage */],
            __WEBPACK_IMPORTED_MODULE_33__pages_management_management__["a" /* ManagementPage */],
            __WEBPACK_IMPORTED_MODULE_32__pages_contract_contract__["a" /* ContractPage */]
        ],
        providers: [
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
            { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["v" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicErrorHandler */] },
            __WEBPACK_IMPORTED_MODULE_13__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
            __WEBPACK_IMPORTED_MODULE_14__ionic_native_onesignal__["a" /* OneSignal */],
            __WEBPACK_IMPORTED_MODULE_11__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_brightness__["a" /* Brightness */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_10__ionic_native_unique_device_id__["a" /* UniqueDeviceID */],
            __WEBPACK_IMPORTED_MODULE_34__directives_absolute_drag_absolute_drag__["a" /* AbsoluteDragDirective */]
        ]
    })
], AppModule);

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 29:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_unique_device_id__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__register_register__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__point_history_point_history__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_onesignal__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_brightness__ = __webpack_require__(111);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};










var HomePage = (function () {
    function HomePage(navCtrl, http, storage, brightness, toastController, uniqueDeviceID, oneSignal) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.http = http;
        this.storage = storage;
        this.brightness = brightness;
        this.toastController = toastController;
        this.uniqueDeviceID = uniqueDeviceID;
        this.oneSignal = oneSignal;
        this.login_status = false;
        this.user_fullname = '';
        this.createdCode = null;
        this.user_point = '0.00';
        this.cart_no = '';
        this.uuid = '1234567890';
        this.deviceBrightness = '';
        if (window.localStorage.getItem("deviceBrightness") == null) {
            this.getBrightness();
        }
        this.uniqueDeviceID.get()
            .then(function (uuid) {
            return _this.uuid = uuid;
        })
            .catch(function (error) {
            return console.log(error);
        });
        window.localStorage.setItem('uuid', this.uuid);
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            this.login_status = true;
            this.oneSignal.getIds().then(function (identity) {
                window.localStorage.setItem('pushid', identity.userId);
            });
            var data = JSON.stringify({
                telephone_hash: this.user_hash,
                uuid: this.uuid,
                pushid: window.localStorage.getItem("pushid")
            });
            this.http.post('http://restapi.odaxa.com.tr/user_show', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                _this.user_data = data;
                _this.user_fullname = data.AD_SOYAD;
                _this.createdCode = data.CEP_NO;
                _this.cart_no = data.KART_NO;
                _this.user_point = data.PUAN_DURUMU;
                window.localStorage.setItem('user_management', data.YONETICI);
            }, function (err) {
                console.log(err);
            });
        }
    }
    HomePage.prototype.getBrightness = function () {
        return __awaiter(this, void 0, void 0, function () {
            var _a;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        _a = this;
                        return [4 /*yield*/, this.brightness.getBrightness()];
                    case 1:
                        _a.deviceBrightness = _b.sent();
                        //alert('func get brightness'+this.deviceBrightness);
                        window.localStorage.setItem('deviceBrightness', this.deviceBrightness);
                        return [2 /*return*/];
                }
            });
        });
    };
    HomePage.prototype.ionViewDidLeave = function () {
        if (window.localStorage.getItem("deviceBrightness") != null) {
            this.deviceBrightness = window.localStorage.getItem("deviceBrightness");
            this.brightness.setBrightness(this.deviceBrightness);
        }
    };
    HomePage.prototype.ionViewDidLoad = function () {
    };
    HomePage.prototype.openRegister = function () {
        if (!this.login_status)
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__register_register__["a" /* RegisterPage */], {});
        else
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__point_history_point_history__["a" /* PointHistoryPage */], {});
    };
    HomePage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    return HomePage;
}());
HomePage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-home',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/home/home.html"*/'<!--<ion-header no-border>\n  <ion-navbar transparent>\n    <ion-buttons end>\n      <button ion-button icon-only (click)="openProfile()">\n        <ion-icon color="beyaz" ios="ios-contact" md="md-contact"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n-->\n<style>\n    .scene {\n        width: 100%;\n        height: auto;\n        margin: 40px 0;\n        perspective: 600px;\n    }\n    .kartisimleri {\n        position: absolute;\n        right: 25px;\n        top: 55%;\n        margin-top: -5px;\n    }\n    .kart-sahibi-fullname {\n        height: 20px;\n        letter-spacing: 1px;\n        font-size: 0.3em;\n        width: 100%;\n        color: #fff;\n        text-align: right;\n        padding-top: 0px;\n        font-weight: 600;\n    }\n    .kart-sahibi {\n        height: 25px;\n        letter-spacing: 1px;\n        font-size: 0.4em;\n        width: 100%;\n        color: #fff;\n        text-align: right;\n    }\n    .card {\n        width: 100%;\n        height: 100%;\n        transition: transform 1s;\n        transform-style: preserve-3d;\n        cursor: pointer;\n        position: relative;\n    }\n\n    .card.is-flipped {\n        transform: rotateY(180deg);\n    }\n\n    .card__face {\n        position: absolute;\n        width: 100%;\n        height: 100%;\n        line-height: 260px;\n        color: white;\n        text-align: center;\n        font-weight: bold;\n        font-size: 40px;\n        backface-visibility: hidden;\n    }\n\n    .card__face--front {\n        -webkit-backface-visibility: hidden;\n        backface-visibility: hidden;\n    }\n\n    .card__face--back {\n        -webkit-backface-visibility: hidden;\n        backface-visibility: hidden;\n        transform: rotateY(180deg);\n        -webkit-transform:rotateY(180deg);\n        -ms-transform:rotateY(180deg);\n    }\n</style>\n<ion-content class="card-background-page" no-bounce>\n<div style="text-align: center; margin-top: 15%!important;">\n    <img src="assets/imgs/slogan.png"/>\n\n    <ion-card *ngIf="login_status">\n        <div class="anaikck"><b>{{user_point}} ₺</b> değerinde puanınız var.</div>\n    </ion-card>\n    <div class="scene" *ngIf="login_status">\n        <div class="card" absolute-drag data-angle="0">\n            <div class="card__face card__face--front">\n                <div class="kartisimleri">\n                    <div class="kart-sahibi-fullname card__face--front" *ngIf="login_status">{{user_fullname}}</div>\n                    <div class="kart-sahibi card__face--front" *ngIf="login_status">{{cart_no}}</div>\n                </div>\n                <img src="assets/imgs/sosyalkartgrl.png"/>\n            </div>\n            <div class="card__face card__face--back">\n                <img src="assets/imgs/sosyalkartgrlback.png"/>\n                <ngx-qrcode qrc-class="qr-class" [qrc-value]="createdCode"></ngx-qrcode>\n            </div>\n        </div>\n    </div>\n    <!--\n    <ion-card>\n        <p class="ikck">Karekod için karta tıklayınız.</p>\n    </ion-card>\n    -->\n        <!--\n        <div class="flip-button" *ngIf="login_status" onclick="this.classList.toggle(\'hover\');">\n            <div class="front">\n                <img src="assets/imgs/sosyalkartgrl.png"/>\n                <div class="kart-sahibi-fullname" *ngIf="login_status">{{user_fullname}}</div>\n                <div class="kart-sahibi" *ngIf="login_status">{{cart_no}}</div>\n            </div>\n            <div class="back">\n                <img src="assets/imgs/sosyalkartgrlback.png"/>\n                <!--\n                <ngx-qrcode qrc-class="qr-class" [qrc-value]="createdCode"></ngx-qrcode>\n            </div>\n        </div>-->\n        <div class="flip-button" *ngIf="!login_status" (click)="openRegister()">\n            <div class="front">\n                <img src="assets/imgs/sosyalkartgrl.png"/>\n            </div>\n        </div>\n        <div class="kart-pasif" *ngIf="!login_status">\n            Henüz sosyal kartınız tanımlı değildir.\n        </div>\n        <div style="margin-top: 25px;" class="ikck"  *ngIf="!login_status">\n            <a (click)="openRegister()"> Sosyal kart ayrıcalıklarından yararlanmak için hemen Kayıt Ol!</a>\n        </div>\n        <a class="pgbtn" *ngIf="login_status" (click)="openRegister()">\n            <span> Puan Geçmişi</span>\n        </a>\n\n    </div>\n        <!--\n        <ion-slides pager>\n        <ion-slide>\n            <!-- Sade Kart Eski Hali\n            <ion-card (click)="openRegister()">\n                <img src="assets/imgs/sosyalkartgrl.png"/>\n                <div class="kart-sahibi-fullname" *ngIf="login_status">{{user_fullname}}</div>\n                <div class="kart-sahibi" *ngIf="login_status">{{cart_no}}</div>\n            </ion-card>\n            <img style="width: 70px;" src="assets/imgs/right-left.gif"/><br>\n            <span class="ikck"> Karekod için yana kaydırınız.</span>\n            -->\n\n            <!--\n            <div style="background: rgba(255, 255, 255, 0.50); padding-bottom: 15px;">\n                <img style="width: 80px;" src="assets/imgs/right-left.gif"/><br>\n                <span style="font-size: 14px; color: #000!important; font-weight: 300;" >Barkod için yana kaydırınız</span>\n            </div>\n            --\n            <div class="kart-pasif" *ngIf="!login_status">\n                Henüz sosyal kartınız tanımlı değildir.\n                <p style="padding-top: 10px;">Kart üzerine tıklayarak üye olun ve puan kazanmaya başlayın!</p>\n            </div>\n\n        </ion-slide>\n        <ion-slide *ngIf="login_status">\n            <ngx-qrcode qrc-class="qr-class" [qrc-value]="createdCode"></ngx-qrcode>\n            <div class="kart-pasif">Karekodu ödeme esnasında görevliye okutunuz.</div>\n        </ion-slide>\n        --\n\n    </ion-slides>\n-->\n</ion-content>\n\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/home/home.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_9__ionic_native_brightness__["a" /* Brightness */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_5__ionic_native_unique_device_id__["a" /* UniqueDeviceID */],
        __WEBPACK_IMPORTED_MODULE_8__ionic_native_onesignal__["a" /* OneSignal */]])
], HomePage);

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 294:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_onesignal__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_home_home__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen, toastController, oneSignal) {
        var _this = this;
        this.platform = platform;
        this.toastController = toastController;
        this.oneSignal = oneSignal;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */];
        platform.ready().then(function () {
            statusBar.styleDefault();
            splashScreen.hide();
            // OneSignal Code start:
            // Enable to debug issues:
            //window["plugins"].OneSignal.setLogLevel({logLevel: 4, visualLevel: 4});
            var notificationOpenedCallback = function (jsonData) {
                console.log('notificationOpenedCallback: ' + JSON.stringify(jsonData));
            };
            var onseSignalAppId = '222cb22f-33e1-4e9c-957a-40fe878a3a20';
            var googleProjectId = '23487667853';
            /*window["plugins"].OneSignal
                .startInit(onseSignalAppId, googleProjectId)
                .handleNotificationOpened(notificationOpenedCallback)
                .endInit();

            window["plugins"].OneSignal.getIds().then(data => {
                alert(JSON.stringify(data));
            });*/
            _this.oneSignal
                .startInit(onseSignalAppId, googleProjectId)
                .handleNotificationOpened(notificationOpenedCallback)
                .endInit();
            if (_this.platform.is('cordova')) {
                if (_this.platform.is('android')) {
                    _this.oneSignal.startInit(onseSignalAppId, googleProjectId);
                }
                else if (_this.platform.is('ios')) {
                    _this.oneSignal.startInit(onseSignalAppId, googleProjectId);
                }
                _this.oneSignal.inFocusDisplaying(_this.oneSignal.OSInFocusDisplayOption.Notification);
                _this.oneSignal.handleNotificationReceived().subscribe(function () {
                    // do something when notification is received
                });
                _this.oneSignal.handleNotificationOpened().subscribe(function (result) {
                    // do something when a notification is opened
                });
                _this.oneSignal.endInit();
            }
        });
    }
    return MyApp;
}());
MyApp = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/app/app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/app/app.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */],
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
        __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_native_onesignal__["a" /* OneSignal */]])
], MyApp);

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 319:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MenuComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pages_home_home__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pages_register_register__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_profile_profile__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_login_login__ = __webpack_require__(60);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_tender_tender__ = __webpack_require__(116);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_notice_notice__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_about_about__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_profile_edit_profile_edit__ = __webpack_require__(59);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_facility_facility__ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_navigation_navigation__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_info_info__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_management_management__ = __webpack_require__(225);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};















var MenuComponent = (function () {
    function MenuComponent(navCtrl, platform, actionsheetCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.platform = platform;
        this.actionsheetCtrl = actionsheetCtrl;
        this.login_status = false;
        this.user_management = window.localStorage.getItem("user_management");
        if (window.localStorage.getItem("user_hash") != null) {
            this.login_status = true;
            this.possibleButtons = [
                {
                    text: 'Profilim',
                    icon: !this.platform.is('ios') ? 'contact' : null,
                    handler: function () {
                        _this.openPage('ProfilePage');
                    }
                },
                {
                    text: 'Öneri / Şikayet',
                    icon: !this.platform.is('ios') ? 'mail' : null,
                    handler: function () {
                        _this.openPage('InfoPage');
                    }
                },
                {
                    text: 'Uygulama Hakkında',
                    icon: !this.platform.is('ios') ? 'information' : null,
                    handler: function () {
                        _this.openPage('AboutPage');
                    }
                },
                {
                    text: 'Çıkış Yap',
                    role: 'destructive',
                    icon: !this.platform.is('ios') ? 'exit' : null,
                    handler: function () {
                        window.localStorage.removeItem('user_hash');
                        _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_2__pages_home_home__["a" /* HomePage */], {});
                    }
                },
                {
                    text: 'İptal',
                    role: 'cancel',
                    icon: !this.platform.is('ios') ? 'close' : null,
                    handler: function () {
                        console.log('Cancel clicked');
                    }
                }
            ];
        }
        else {
            this.possibleButtons = [
                {
                    text: 'Giriş Yap',
                    icon: !this.platform.is('ios') ? 'log-in' : null,
                    handler: function () {
                        _this.openPage('LoginPage');
                    }
                },
                {
                    text: 'Kayıt Ol',
                    icon: !this.platform.is('ios') ? 'person-add' : null,
                    handler: function () {
                        _this.openPage('RegisterPage');
                    }
                },
                {
                    text: 'Öneri / Şikayet',
                    icon: !this.platform.is('ios') ? 'mail' : null,
                    handler: function () {
                        _this.openPage('InfoPage');
                    }
                },
                {
                    text: 'Uygulama Hakkında',
                    icon: !this.platform.is('ios') ? 'information' : null,
                    handler: function () {
                        _this.openPage('AboutPage');
                    }
                },
                {
                    text: 'İptal',
                    role: 'cancel',
                    icon: !this.platform.is('ios') ? 'close' : null,
                    handler: function () {
                    }
                }
            ];
        }
        if (this.user_management == 1 && this.login_status) {
            this.possibleButtons.push({
                text: 'Yönetici Paneli',
                icon: !this.platform.is('ios') ? 'information' : null,
                handler: function () {
                    _this.openPage('ManagementPage');
                }
            });
        }
    }
    MenuComponent.prototype.openPage = function (page) {
        if (page == 'ProfilePage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__pages_profile_profile__["a" /* ProfilePage */], {});
        else if (page == 'LoginPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */], {});
        else if (page == 'RegisterPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__pages_register_register__["a" /* RegisterPage */], {});
        else if (page == 'TenderPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__pages_tender_tender__["a" /* TenderPage */], {});
        else if (page == 'NoticePage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__pages_notice_notice__["a" /* NoticePage */], {});
        else if (page == 'AboutPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__pages_about_about__["a" /* AboutPage */], {});
        else if (page == 'ProfileEditPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__pages_profile_edit_profile_edit__["a" /* ProfileEditPage */], {});
        else if (page == 'FacilityPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_10__pages_facility_facility__["a" /* FacilityPage */], {});
        else if (page == 'NavigationPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_11__pages_navigation_navigation__["a" /* NavigationPage */], {});
        else if (page == 'HomePage')
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_2__pages_home_home__["a" /* HomePage */], {});
        else if (page == 'InfoPage')
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_12__pages_info_info__["a" /* InfoPage */], {});
        else if (page == 'ManagementPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_13__pages_management_management__["a" /* ManagementPage */], {});
    };
    MenuComponent.prototype.openMenu = function () {
        var actionSheet = this.actionsheetCtrl.create({
            cssClass: 'action-sheets-basic-page',
            buttons: this.possibleButtons
        });
        actionSheet.present();
    };
    return MenuComponent;
}());
MenuComponent = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'menu',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/components/menu/menu.html"*/'<ion-grid>\n  <ion-row>\n    <ion-col col (click)="openPage(\'HomePage\')">\n      <ion-icon name="card"></ion-icon>\n    </ion-col>\n    <ion-col col (click)="openPage(\'FacilityPage\')">\n      <ion-icon name="pin"></ion-icon>\n    </ion-col>\n    <ion-col col (click)="openPage(\'NoticePage\')">\n      <ion-icon name="megaphone"></ion-icon>\n    </ion-col>\n    <ion-col col (click)="openPage(\'TenderPage\')">\n      <ion-icon name="list-box"></ion-icon>\n    </ion-col>\n    <ion-col col (click)="openMenu()">\n      <ion-icon name="more"></ion-icon>\n    </ion-col>\n    <!--<ion-col col (click)="openPage(\'NavigationPage\')">\n        <ion-icon name="more"></ion-icon>\n    </ion-col>-->\n  </ion-row>\n</ion-grid>'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/components/menu/menu.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */]])
], MenuComponent);

//# sourceMappingURL=menu.js.map

/***/ }),

/***/ 320:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PointPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__register_register__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__login_login__ = __webpack_require__(60);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var PointPage = (function () {
    function PointPage(navCtrl, navParams, http, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.login_status = false;
        this.point = 0;
        this.point_tl = 0;
    }
    PointPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        console.log('ionViewDidLoad PointPage');
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            this.login_status = true;
            this.http.get('http://restapi.odaxa.com.tr/user_show/' + this.user_hash)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                _this.user_data = data;
                _this.point = data.point;
                _this.point_tl = data.point / 100;
            }, function (err) {
                console.log(err);
            });
        }
    };
    PointPage.prototype.openRegister = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__register_register__["a" /* RegisterPage */], {});
    };
    PointPage.prototype.openLogin = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__login_login__["a" /* LoginPage */], {});
    };
    return PointPage;
}());
PointPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-point',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/point/point.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n    </ion-navbar>\n</ion-header>\n\n<ion-content class="card-background-page" *ngIf="login_status">\n    <ion-card style="top: 20%;">\n        <p class="kkck">TEBRİKLER</p>\n        <p class="ibyk">{{point}} </p>\n        <p class="kkck">PUANINIZ VAR</p>\n        <p class="ikck" style="margin-top: 25px;">Puanlarınızın toplamı <b>{{point_tl}} ₺</b> alışveriş değerindedir. </p>\n    </ion-card>\n</ion-content>\n\n<ion-content class="card-background-page" *ngIf="!login_status">\n    <ion-card style="top: 20%;">\n        <p class="kkck" (click)="openLogin()">Lütfen Üye Girişi Yapınız</p>\n        <p class="ibyk">- </p>\n        <p class="kkck" (click)="openRegister()">Üye Olunuz</p>\n    </ion-card>\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/point/point.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], PointPage);

//# sourceMappingURL=point.js.map

/***/ }),

/***/ 321:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AbsoluteDragDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_brightness__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var AbsoluteDragDirective = (function () {
    function AbsoluteDragDirective(element, brightness, storage, renderer, domCtrl) {
        this.element = element;
        this.brightness = brightness;
        this.storage = storage;
        this.renderer = renderer;
        this.domCtrl = domCtrl;
        this.cartStatus = 'front';
        this.deviceBrightness = '';
    }
    AbsoluteDragDirective.prototype.ionViewDidLeave = function () {
    };
    AbsoluteDragDirective.prototype.ngAfterViewInit = function () {
        var _this = this;
        this.renderer.setElementStyle(this.element.nativeElement, 'position', 'absolute');
        this.renderer.setElementStyle(this.element.nativeElement, 'left', this.startLeft + 'px');
        this.renderer.setElementStyle(this.element.nativeElement, 'top', this.startTop + 'px');
        var hammer = new window['Hammer'](this.element.nativeElement);
        hammer.get('pan').set({ direction: window['Hammer'].DIRECTION_ALL });
        hammer.on('panright', function (ev) {
            _this.handlePanRight(ev);
        });
        hammer.on('panleft', function (ev) {
            _this.handlePanLeft(ev);
        });
        hammer.on('panend', function (ev) {
            _this.handlePanEnd(ev);
        });
    };
    AbsoluteDragDirective.prototype.handlePanLeft = function (ev) {
        /* let newLeft = ev.center.x;
         var angle = parseInt(this.element.nativeElement.getAttribute('data-angle'))
         this.element.nativeElement.setAttribute('data-angle', (angle - 180))

         //  angle = angle.split('rotateY')
         //console.log(angle - newLeft)
         console.log('angleleft:'+angle)
         this.domCtrl.write(() => {
             this.renderer.setElementStyle(this.element.nativeElement, 'transform', 'rotateY(' + (-180) + 'deg)');

         })*/
    };
    AbsoluteDragDirective.prototype.handlePanRight = function (ev) {
        /*let newLeft = ev.center.x;
        var angle = parseInt(this.element.nativeElement.getAttribute('data-angle'))
        this.element.nativeElement.setAttribute('data-angle', (angle + 180))

        //  angle = angle.split('rotateY')
        console.log('angleright:'+angle)
        this.domCtrl.write(() => {
            this.renderer.setElementStyle(this.element.nativeElement, 'transform', 'rotateY(' + (angle+180) + 'deg)');
        })*/
    };
    AbsoluteDragDirective.prototype.handlePanEnd = function (ev) {
        var _this = this;
        var angle = parseInt(this.element.nativeElement.getAttribute('data-angle'));
        this.domCtrl.write(function () {
            if (ev.deltaX >= 0) {
                var deg = angle + 180;
                if (_this.cartStatus != 'back') {
                    _this.cartStatus = 'back';
                }
                else {
                    _this.cartStatus = 'front';
                }
            }
            else {
                var deg = angle - 180;
                if (_this.cartStatus != 'front') {
                    _this.cartStatus = 'front';
                }
                else {
                    _this.cartStatus = 'back';
                }
            }
            if (window.localStorage.getItem("deviceBrightness") != null) {
                if (_this.cartStatus != 'back') {
                    _this.deviceBrightness = window.localStorage.getItem("deviceBrightness");
                    //alert('front:'+this.deviceBrightness)
                    _this.brightness.setBrightness(_this.deviceBrightness);
                }
                else {
                    //alert('back')
                    _this.brightness.setBrightness(1);
                }
            }
            _this.element.nativeElement.setAttribute('data-angle', (deg));
            _this.renderer.setElementStyle(_this.element.nativeElement, 'transform', 'rotateY(' + (deg) + 'deg)');
        });
    };
    AbsoluteDragDirective.prototype.win = function (status) {
        alert('Message: ' + status);
    };
    AbsoluteDragDirective.prototype.fail = function (status) {
        alert('Error: ' + status);
    };
    AbsoluteDragDirective.prototype.getAngle = function (el) {
        var values;
        var tr = window.getComputedStyle(el, null).getPropertyValue('transform');
        values = tr.split('(')[1];
        values = values.split(')')[0];
        values = values.split(',');
        var a = values[0]; // 0.866025
        var b = values[1]; // 0.5
        var radians = Math.atan2(b, a);
        if (radians < 0) {
            radians += (2 * Math.PI);
        }
        return Math.round(radians * (180 / Math.PI));
    };
    return AbsoluteDragDirective;
}());
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])('startLeft'),
    __metadata("design:type", Object)
], AbsoluteDragDirective.prototype, "startLeft", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])('startTop'),
    __metadata("design:type", Object)
], AbsoluteDragDirective.prototype, "startTop", void 0);
AbsoluteDragDirective = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* Directive */])({
        selector: '[absolute-drag]'
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */],
        __WEBPACK_IMPORTED_MODULE_2__ionic_native_brightness__["a" /* Brightness */],
        __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
        __WEBPACK_IMPORTED_MODULE_0__angular_core__["_0" /* Renderer */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* DomController */]])
], AbsoluteDragDirective);

//# sourceMappingURL=absolute-drag.js.map

/***/ }),

/***/ 49:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(29);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__contract_contract__ = __webpack_require__(213);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var RegisterPage = (function () {
    function RegisterPage(navCtrl, navParams, http, loadingCtrl, toastController, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.toastController = toastController;
        this.storage = storage;
        this.name = '';
        this.surname = '';
        this.email = '';
        this.telephone = '';
        this.birthdate = '';
        this.gender = '';
        this.onay = false;
        this.uuid = '';
    }
    RegisterPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad RegisterPage');
        this.uuid = window.localStorage.getItem("uuid");
        if (window.localStorage.getItem("user_hash") != null) {
            this.storage.set('user_hash', window.localStorage.getItem("user_hash"));
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
        }
    };
    RegisterPage.prototype.registerUser = function () {
        var _this = this;
        if (this.name == '')
            this.showToastr('Lütfen adınızı giriniz.asd');
        else if (this.surname == '')
            this.showToastr('Lütfen soyadınızı giriniz.');
        else if (this.email == '')
            this.showToastr('Lütfen mail adresinizi giriniz.');
        else if (this.telephone == '')
            this.showToastr('Lütfen cep telefonu numaranızı giriniz.');
        else if (!this.onay)
            this.showToastr('Lütfen üye sözleşmesini onaylayınız.');
        else {
            var loading_1 = this.loadingCtrl.create({
                content: 'İşlem yapılıyor. Lütfen bekleyiniz...'
            });
            loading_1.present();
            this.http.get('http://restapi.odaxa.com.tr/user_control/' + this.telephone)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                if (data) {
                    var veri = JSON.stringify({
                        name: _this.name,
                        surname: _this.surname,
                        telephone: _this.telephone,
                        email: _this.email,
                        birthdate: _this.birthdate,
                        gender: _this.gender,
                        uuid: _this.uuid
                    });
                    _this.http.post('http://restapi.odaxa.com.tr/users', veri)
                        .map(function (res) { return res.json(); }).subscribe(function (data) {
                        loading_1.dismiss();
                        if (data) {
                            _this.name = '';
                            _this.surname = '';
                            _this.telephone = '';
                            _this.email = '';
                            _this.birthdate = '';
                            _this.gender = '';
                            _this.showToastr('Üyeliğiniz oluşturuldu. Cep telefonu numaranız ile giriş yapabilirsiniz.');
                            _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
                        }
                        else {
                            _this.showToastr('Üyeliğiniz oluşturulamadı! Lütfen daha sonra tekrar deneyiniz.');
                        }
                    }, function (err) {
                        loading_1.dismiss();
                        console.log(err);
                    });
                }
                else {
                    loading_1.dismiss();
                    _this.showToastr('Cep telefonu numarası sistemde mevcut! Lütfen farklı numara giriniz.');
                }
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    RegisterPage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    RegisterPage.prototype.openPage = function (page) {
        if (page == 'ContractPage')
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__contract_contract__["a" /* ContractPage */], {});
    };
    return RegisterPage;
}());
RegisterPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-register',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/register/register.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n    </ion-navbar>\n</ion-header>\n\n<ion-content padding class="card-background-page mavibg" text-center="">\n    <img src="assets/imgs/slogan.png"/>\n    <p class="ikck">\n        <b>BURFAŞ</b> sosyal kartınız yok ise hemen üye olun her alışverişinizde puan kazanın..\n    </p>\n    <ion-list style="margin-top: 10%;">\n        <ion-item class="ilkinput">\n            <ion-input type="text" [(ngModel)]="name" placeholder="Adınız" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-input type="text" [(ngModel)]="surname" placeholder="Soyadınız" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-datetime placeholder="Doğum Tarihiniz" [(ngModel)]="birthdate" cancelText="İptal" doneText="Devam"  displayFormat="DD/MM/YYYY"></ion-datetime>\n        </ion-item>\n        <ion-item>\n            <ion-select placeholder="Cinsiyet" multiple="false" [(ngModel)]="gender" interface="popover">\n                <ion-option value="bay">Erkek</ion-option>\n                <ion-option value="bayan">Kadın</ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item>\n            <ion-input type="text" [(ngModel)]="email" placeholder="adiniz@mailadresiniz.com" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-input type="text" [(ngModel)]="telephone" [attr.maxlength]="10" placeholder="532XXXXXXX" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-label (click)="openPage(\'ContractPage\')">Üye Sözleşme Onay</ion-label>\n            <ion-toggle [(ngModel)]="onay" ></ion-toggle>\n        </ion-item>\n        <button class="btnalt" ion-button full (click)="registerUser()">Kayıt Ol</button>\n    </ion-list>\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/register/register.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], RegisterPage);

//# sourceMappingURL=register.js.map

/***/ }),

/***/ 59:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfileEditPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__home_home__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ProfileEditPage = (function () {
    function ProfileEditPage(navCtrl, navParams, http, loadingCtrl, toastController, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.toastController = toastController;
        this.storage = storage;
        this.fullname = '';
        this.email = '';
        this.telephone = '';
        this.birthdate = '';
        this.gender = '';
        this.il_id = '';
        this.ilce_id = '';
        this.semt_id = '';
        this.user_data = {};
        this.uuid = '';
    }
    ProfileEditPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.uuid = window.localStorage.getItem("uuid");
        this.http.get('http://restapi.odaxa.com.tr/il_ilce_semt')
            .map(function (res) { return res.json(); }).subscribe(function (data) {
            _this.iller = data.ILLER;
            _this.ilceler = data.ILCELER;
            _this.semtler = data.SEMTLER;
        }, function (err) {
            console.log(err);
        });
        if (window.localStorage.getItem("user_hash") != null) {
            this.user_hash = window.localStorage.getItem("user_hash");
            this.storage.set('user_hash', this.user_hash);
            var data = JSON.stringify({
                telephone_hash: this.user_hash,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/user_show', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                _this.user_data = data;
                _this.fullname = data.AD_SOYAD;
                _this.email = data.EPOSTA;
                _this.telephone = data.CEP_NO;
                var new_date = data.DOGUM_TARIHI.split('-');
                _this.birthdate = new Date(parseInt(new_date[2]), Math.abs(new_date[1]), parseInt(new_date[0])).toISOString();
                _this.il_id = data.IL_ID;
                _this.ilce_id = data.ILCE_ID;
                _this.semt_id = data.SEMT_ID;
                _this.gender = data.CINSIYET.toLowerCase();
            }, function (err) {
                console.log(err);
            });
        }
    };
    ProfileEditPage.prototype.getSemtData = function () {
        var _this = this;
        this.http.get('http://restapi.odaxa.com.tr/ilce_semt/' + this.ilce_id)
            .map(function (res) { return res.json(); }).subscribe(function (data) {
            _this.semtler = data.SEMTLER;
        }, function (err) {
            console.log(err);
        });
    };
    ProfileEditPage.prototype.editUser = function () {
        var _this = this;
        if (this.fullname == '')
            this.showToastr('Lütfen ad soyad giriniz.');
        else if (this.email == '')
            this.showToastr('Lütfen mail adresinizi giriniz.');
        else if (this.telephone == '')
            this.showToastr('Lütfen telefon numaranızı giriniz.');
        else {
            var loading_1 = this.loadingCtrl.create({
                content: 'İşlem yapılıyor. Lütfen bekleyiniz...'
            });
            loading_1.present();
            var data = JSON.stringify({
                fullname: this.fullname,
                telephone: this.telephone,
                birthdate: this.birthdate,
                email: this.email,
                gender: this.gender,
                il_id: this.il_id,
                ilce_id: this.ilce_id,
                semt_id: this.semt_id,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/users/' + this.user_hash, data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                loading_1.dismiss();
                if (data == 'change_telephone') {
                    _this.showToastr('Bilgileriniz başarılı olarak güncellenmiştir. Lütfen tekrar giriş yapınız.');
                    window.localStorage.removeItem('user_hash');
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
                }
                else if (data) {
                    _this.showToastr('Bilgileriniz başarılı olarak güncellenmiştir.');
                    _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__home_home__["a" /* HomePage */], {});
                }
                else
                    _this.showToastr('Bilgileriniz güncellenemedi! Lütfen daha sonra tekrar deneyiniz.');
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    ProfileEditPage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    return ProfileEditPage;
}());
ProfileEditPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-profile-edit',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/profile-edit/profile-edit.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n    </ion-navbar>\n</ion-header>\n\n<ion-content padding class="card-background-page mavibg" text-center="">\n    <img src="assets/imgs/slogan.png"/>\n    <ion-list style="margin-top: 10%;">\n        <ion-item class="ilkinput">\n            <ion-input type="text" [(ngModel)]="fullname" placeholder="Ad Soyad" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-datetime placeholder="Doğum Tarihiniz" [(ngModel)]="birthdate" cancelText="İptal" doneText="Devam"  displayFormat="DD/MM/YYYY"></ion-datetime>\n        </ion-item>\n        <ion-item>\n            <ion-select placeholder="Cinsiyet" multiple="false" [(ngModel)]="gender" interface="popover">\n                <ion-option value="bay">BAY</ion-option>\n                <ion-option value="bayan">BAYAN</ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item>\n            <ion-select placeholder="İl" multiple="false" [(ngModel)]="il_id" interface="popover">\n                <ion-option *ngFor="let il of iller;" value="{{il.ID}}">{{il.ADI}}</ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item>\n            <ion-select placeholder="İlce" multiple="false" [(ngModel)]="ilce_id" (ionChange)="getSemtData()" interface="popover">\n                <ion-option *ngFor="let ilce of ilceler;" value="{{ilce.ID}}">{{ilce.ADI}}</ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item>\n            <ion-select placeholder="semt" multiple="false" [(ngModel)]="semt_id" interface="popover">\n                <ion-option *ngFor="let semt of semtler;" value="{{semt.ID}}">{{semt.ADI}}</ion-option>\n            </ion-select>\n        </ion-item>\n        <ion-item>\n            <ion-input type="text" [(ngModel)]="email" placeholder="adiniz@mailadresiniz.com" required=""></ion-input>\n        </ion-item>\n        <ion-item>\n            <ion-input type="text" [(ngModel)]="telephone" [attr.maxlength]="10" placeholder="532XXXXXXX" required=""></ion-input>\n        </ion-item>\n        <button class="btnalt" ion-button full (click)="editUser()">Güncelle</button>\n    </ion-list>\n</ion-content>\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/profile-edit/profile-edit.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], ProfileEditPage);

//# sourceMappingURL=profile-edit.js.map

/***/ }),

/***/ 60:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__sms_code_sms_code__ = __webpack_require__(220);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var LoginPage = (function () {
    function LoginPage(navCtrl, http, loadingCtrl, toastController, storage) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.toastController = toastController;
        this.storage = storage;
        this.telephone_cartno = '';
        this.user_data = {};
        this.uuid = '';
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        this.uuid = window.localStorage.getItem("uuid");
    };
    LoginPage.prototype.loginUser = function () {
        var _this = this;
        if (this.telephone_cartno == '')
            this.showToastr('Lütfen cep telefonu yada kart numaranızı giriniz.');
        else {
            var loading_1 = this.loadingCtrl.create({
                content: 'İşlem yapılıyor. Lütfen bekleyiniz...'
            });
            loading_1.present();
            var data = JSON.stringify({
                telephone_cartno: this.telephone_cartno,
                uuid: this.uuid
            });
            this.http.post('http://restapi.odaxa.com.tr/login', data)
                .map(function (res) { return res.json(); }).subscribe(function (data) {
                loading_1.dismiss();
                if (data) {
                    console.log(data);
                    _this.storage.set('user_gsm', data);
                    window.localStorage.setItem('user_gsm', data);
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__sms_code_sms_code__["a" /* SmsCodePage */], {});
                }
                else
                    _this.showToastr('Bilgileriniz doğrulanamadı! Lütfen tekrar deneyiniz.');
            }, function (err) {
                loading_1.dismiss();
                console.log(err);
            });
        }
    };
    LoginPage.prototype.showToastr = function (message) {
        var alert_message = message;
        var toast = this.toastController.create({
            message: alert_message,
            position: 'middle',
            showCloseButton: true,
            closeButtonText: 'OK',
            duration: 2000
        });
        toast.present();
    };
    return LoginPage;
}());
LoginPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
        selector: 'page-login',template:/*ion-inline-start:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/login/login.html"*/'<ion-header no-border>\n    <ion-navbar transparent>\n    </ion-navbar>\n</ion-header>\n\n<ion-content padding class="card-background-page mavibg" text-center="">\n    <img style="margin-bottom: 50px;" src="assets/imgs/slogan.png"/>\n    <p class="kkck">\n        Merhaba;\n    </p>\n    <p class="ikck">\n        Üye Girişi yaparak kartınızı tanımlayın, tüm <b>BURFAŞ</b> harcamalarınızda puan kazanmaya başlayın.\n    </p>\n    <ion-list style="margin-top: 15%;">\n        <ion-item class="ilkinputgiris">\n            <ion-input type="text" [(ngModel)]="telephone_cartno" placeholder="GSM No yada Kart No Giriniz. " required=""></ion-input>\n        </ion-item>\n        <button class="btnalt" ion-button full (click)="loginUser()">Giriş Yap</button>\n    </ion-list>\n</ion-content>\n<ion-footer text-center>\n    <menu></menu>\n</ion-footer>\n\n'/*ion-inline-end:"/Applications/XAMPP/xamppfiles/htdocs/ionic/repo_burfas_social_cart/src/pages/login/login.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */],
        __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */],
        __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* ToastController */],
        __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */]])
], LoginPage);

//# sourceMappingURL=login.js.map

/***/ })

},[226]);
//# sourceMappingURL=main.js.map